<?php
class Contrato
{
	private $sql;
	public $qry;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
	}


	public function ContratoSelect($id_evento)
	{
		$this->sql = "select id_evento, nome, cpf_cnpj, identidade, cep, endereco, bairro, cidade, id_empresa
						  from evento_contrato
						  where id_evento = $id_evento";
		$this->execulta();
	}

	public function ContratoInsert($id_evento, $nome, $cpf_cnpj, $identidade, $cep, $endereco, $bairro, $cidade)
	{
		$nome = addslashes($nome);
		$cpf_cnpj = addslashes($cpf_cnpj);
		$identidade = addslashes($identidade);
		$cep = addslashes($cep);
		$endereco = addslashes($endereco);
		$cidade = addslashes($cidade);
		$bairro = addslashes($bairro);

		$this->sql = "insert into evento_contrato
						  (id_evento, nome, cpf_cnpj, identidade, cep, endereco, bairro, cidade, id_empresa)
						  values
						  ($id_evento, '$nome', '$cpf_cnpj', '$identidade', '$cep', '$endereco', '$bairro', '$cidade', $this->id_empresa)";
		$this->execulta();
	}




	public function QuantidadeProdutos($id_evento)
	{
		$this->sql = "select count(*) as quantidade 
							  from evento_itens_produto
							  where id_evento = $id_evento
						      and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function ValorContrato($id_evento)
	{
		$this->sql = "select valor from evento
							  where id_evento = $id_evento
						      and id_empresa = $this->id_empresa";
		$this->execulta();
		$row = mysqli_fetch_row($this->qry);
		return $row[0];
	}



	public function ContratoUpdate($id_evento, $nome, $cpf_cnpj, $identidade, $cep, $endereco, $bairro, $cidade)
	{
		$this->sql = "update evento_contrato
							  set
							  nome = '$nome',
							  cpf_cnpj = '$cpf_cnpj',
							  identidade = '$identidade',
							  cep = '$cep',
							  endereco = '$endereco',
							  bairro = '$bairro',
							  cidade = '$cidade'
							  where id_evento = $id_evento
							  and id_empresa = $this->id_empresa";

		$this->execulta();

		//echo mysqli_affected_rows();

		if (mysqli_affected_rows($this->mysqlCom->connect()) == 0) {
			$this->ContratoInsert($id_evento, $nome, $cpf_cnpj, $identidade, $cep, $endereco, $bairro, $cidade);
		}
	}


	public function ContratoDelete($id_evento)
	{
		$this->sql = "delete from evento_contrato
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function InsertHistorioPrintContrato($id_evento, $valor, $usuario)
	{
		$dataHora = date("Y/m/d h:i:s");
		$this->sql = "INSERT INTO evento_historico_contrato
			             (id_evento, id_empresa, data_hora, valor, usuario) 
						 VALUES
						 ($id_evento, $this->id_empresa, '$dataHora', '$valor', '$usuario');";
		$this->execulta();
	}


	public function SelectPrintContrato($id_evento)
	{
		$this->sql = "select data_hora, valor, usuario
						FROM evento_historico_contrato
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa";
		$this->execulta();
	}
}
